Bug 162116 - [patch] empty directories not preserved in packages for audio/sox graphics/gimp-app www/firefox
Summary: [patch] empty directories not preserved in packages for audio/sox graphics/gi...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Eitan Adler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-28 22:50 UTC by 4720@hushmail.com
Modified: 2011-11-02 18:53 UTC (History)
0 users

See Also:


Attachments
file.diff (1.58 KB, patch)
2011-10-28 22:50 UTC, 4720@hushmail.com
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description 4720@hushmail.com 2011-10-28 22:50:09 UTC
audio/sox, graphics/gimp-app, and www/firefox create empty directories on port install. since they have no files, they are not stored in packages automatically and cause packing list errors on uninstall/upgrade when they were installed from a package.

pkg_delete: file '/usr/local/lib/sox' doesn't exist
pkg_delete: unable to completely remove directory '/usr/local/lib/sox'
pkg_delete: couldn't entirely delete package (perhaps the packing list is
incorrectly specified?)

pkg_delete: file '/usr/local/share/gimp/fonts' doesn't exist
pkg_delete: unable to completely remove directory '/usr/local/share/gimp/fonts'
pkg_delete: couldn't entirely delete package (perhaps the packing list is
incorrectly specified?)

pkg_delete: file '/usr/local/include/firefox/nss' doesn't exist
pkg_delete: unable to completely remove directory '/usr/local/include/firefox/nss'
pkg_delete: couldn't entirely delete package (perhaps the packing list is
incorrectly specified?)

Fix: attached patch adds mkdirs to packing lists to preserve empty directories.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-10-28 22:50:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->eadler

eadler@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-10-28 22:50:26 UTC
Maintainer of audio/sox,

Please note that PR ports/162116 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/162116

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-10-28 22:50:28 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Dan Nelson 2011-10-28 23:26:00 UTC
I approve the audio/sox patch.  The directory is a leftover from when sox
used to link in a dozen codec modules.  They are all in libsox now.  The
patch fixing the Makefile's install target so it does not create the
directory at all would be a lot larger.

-- 
	Dan Nelson
	dnelson@allantgroup.com
Comment 5 Eitan Adler freebsd_committer freebsd_triage 2011-10-29 00:23:31 UTC
State Changed
From-To: feedback->open

Maintainer has approved.
Comment 6 Eitan Adler freebsd_committer freebsd_triage 2011-10-29 00:27:18 UTC
Hi,

Can I please have approval to commit:
http://www.freebsd.org/cgi/query-pr.cgi?pr=162116 ?

-- 
Eitan Adler
Comment 7 Eitan Adler freebsd_committer freebsd_triage 2011-10-29 00:28:03 UTC
State Changed
From-To: open->suspended

awaiting approval
Comment 8 Joe Marcus Clarke freebsd_committer 2011-10-29 16:47:23 UTC
On 10/28/11 7:27 PM, Eitan Adler wrote:
> Hi,
> 
> Can I please have approval to commit:
> http://www.freebsd.org/cgi/query-pr.cgi?pr=162116 ?
> 

Approved for gimp.

Joe

-- 
Joe Marcus Clarke
FreeBSD GNOME Team	::	gnome@FreeBSD.org
FreeNode / #freebsd-gnome
http://www.FreeBSD.org/gnome
Comment 9 Beat Gaetzi freebsd_committer 2011-10-29 17:54:04 UTC
On Oct 29, 2011, at 1:27 AM, Eitan Adler wrote:
> Hi,
> 
> Can I please have approval to commit:
> http://www.freebsd.org/cgi/query-pr.cgi?pr=162116 ?

Approved for www/firefox.

Thanks,
Beat

> -- 
> Eitan Adler
> _______________________________________________
> freebsd-gecko@freebsd.org mailing list
> http://lists.freebsd.org/mailman/listinfo/freebsd-gecko
> To unsubscribe, send any mail to "freebsd-gecko-unsubscribe@freebsd.org"
Comment 10 Eitan Adler freebsd_committer freebsd_triage 2011-10-29 23:22:20 UTC
State Changed
From-To: suspended->open

Maintainer has approved.
Comment 11 dfilter service freebsd_committer 2011-11-02 18:42:59 UTC
eadler      2011-11-02 18:42:51 UTC

  FreeBSD ports repository

  Modified files:
    www/firefox          Makefile 
    graphics/gimp-app    pkg-plist 
    audio/sox            pkg-plist 
  Log:
  - create empty directories missing from packages
  
  PR:             ports/162116
  Submitted by:   "4720@hushmail.com" <4720@hushmail.com>
  Approved by:    Dan Nelson <dnelson@allantgroup.com> (maintainer, audio/sox)
  Approved by:    gnome (marcus@, graphics/gimp-app)
  Approved by:    gecko (beat@, www/firefox)
  Approved by:    bapt (mentor)
  
  Revision  Changes    Path
  1.13      +2 -1      ports/audio/sox/pkg-plist
  1.131     +1 -0      ports/graphics/gimp-app/pkg-plist
  1.255     +1 -0      ports/www/firefox/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 Eitan Adler freebsd_committer freebsd_triage 2011-11-02 18:53:06 UTC
State Changed
From-To: open->closed

Committed. Thanks!